$(function () {

    //window and animation items
    var animation_elements = $.find('.p-p-ani');
    var web_window = $(window);

    //check to see if any animation containers are currently in view
    check_if_in_view = function() {
        //get current window information
        var window_height = web_window.height();
        var window_top_position = web_window.scrollTop();
        var window_bottom_position = (window_top_position + window_height);

        $.each(animation_elements, function () {

            var element = $(this);
            var parent = element.parent();
            var element_height = parent.outerHeight() + parseInt(parent.css('margin-top'));
            var element_top_position = parent.offset().top + parseInt(parent.css('padding-top'));
            var element_bottom_position = (element_top_position + element_height);

            if ((element_bottom_position >= window_top_position) && (element_top_position <= window_bottom_position)) {
                element.addClass('p-p-ani-inview');
            } else {
                element.removeClass('p-p-ani-inview');
            }
        });

    }

    $(window).on('scroll resize', function () {
        check_if_in_view()
    })

    $(window).trigger('scroll');


	$(".p-m-h-i").click(function(e) {
		this.classList.toggle("p-m-h-X");
	});
});